# Generated by Django 4.2 on 2023-05-03 08:21

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import vas_core.app.models.base


class Migration(migrations.Migration):

    dependencies = [
        ('app', '0003_biller_requires_consent_category_requires_consent'),
    ]

    operations = [
        migrations.CreateModel(
            name='BillerForm',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted_via_cascade', models.BooleanField(default=False, editable=False)),
                ('old_id', models.CharField(blank=True, max_length=100, null=True)),
                ('deleted', models.BooleanField(default=False)),
                ('deleted_by_id', models.CharField(blank=True, max_length=255, null=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('validation_field', models.TextField(blank=True)),
                ('klass', models.URLField(blank=True, null=True)),
                ('requery_url', models.URLField(blank=True, null=True)),
                ('form_type', models.CharField(choices=[('I', 'Invoice'), ('R', 'Regular')], default='R', max_length=50)),
                ('biller', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='app.biller')),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ('-created_at',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='BillerFormField',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted_via_cascade', models.BooleanField(default=False, editable=False)),
                ('old_id', models.CharField(blank=True, max_length=100, null=True)),
                ('deleted', models.BooleanField(default=False)),
                ('deleted_by_id', models.CharField(blank=True, max_length=255, null=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('field_id', models.CharField(max_length=100)),
                ('field_name', vas_core.app.models.base.LocalizationField()),
                ('required', models.BooleanField(default=True)),
                ('biller_form', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='fields', to='app.billerform')),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ('-created_at',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='BillerFormProduct',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('product_id', models.CharField(max_length=100)),
                ('name', vas_core.app.models.base.LocalizationField()),
                ('amount', models.DecimalField(decimal_places=2, default=0, max_digits=15)),
                ('biller_form', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='products', to='app.billerform')),
            ],
        ),
        migrations.DeleteModel(
            name='BillerField',
        ),
    ]
