# Generated by Django 4.2 on 2023-05-18 13:14

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('app', '0005_transaction'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='accountingentry',
            name='fees',
        ),
        migrations.RemoveField(
            model_name='biller',
            name='accounting_entry',
        ),
        migrations.RemoveField(
            model_name='billerform',
            name='klass',
        ),
        migrations.RemoveField(
            model_name='billerform',
            name='requery_url',
        ),
        migrations.RemoveField(
            model_name='provider',
            name='accounting_entry',
        ),
        migrations.AddField(
            model_name='accountingentry',
            name='country',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='app.country'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='accountingentry',
            name='currency',
            field=models.CharField(default=1, max_length=5),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='accountingentry',
            name='description',
            field=models.CharField(default=1, max_length=100),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='accountingentry',
            name='transit_account',
            field=models.CharField(blank=True, max_length=30, null=True),
        ),
        migrations.AddField(
            model_name='billerform',
            name='accounting_entry',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='app.accountingentry'),
        ),
        migrations.AddField(
            model_name='billerform',
            name='api_url',
            field=models.URLField(blank=True, help_text='Defaults to merchant url', null=True),
        ),
        migrations.AddField(
            model_name='feeaccountconfig',
            name='accounting_entry',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, related_name='fees', to='app.accountingentry'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='feeaccountconfig',
            name='deduct_from_amount',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='feeaccountconfig',
            name='description',
            field=models.CharField(default=1, max_length=100),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='feeaccountconfig',
            name='max_amount',
            field=models.DecimalField(decimal_places=5, default=0, max_digits=50),
        ),
        migrations.CreateModel(
            name='ChannelAccountingEntry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted_via_cascade', models.BooleanField(default=False, editable=False)),
                ('old_id', models.CharField(blank=True, max_length=100, null=True)),
                ('deleted', models.BooleanField(default=False)),
                ('deleted_by_id', models.CharField(blank=True, max_length=255, null=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('accounting_entry', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.accountingentry')),
                ('biller_form', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.billerform')),
                ('channel', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.channel')),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ('-created_at',),
                'abstract': False,
            },
        ),
    ]
